org.apache.http.client.entity

## Class GZIPInputStreamFactory

- java.lang.Object
- - org.apache.http.client.entity.GZIPInputStreamFactory

All Implemented Interfaces:
  InputStreamFactory

    @Contract(threading=IMMUTABLE)
    public class GZIPInputStreamFactory
    extends Object
    implements InputStreamFactory

`InputStreamFactory` for handling GZIPContent Coded responses.

Since:
  4.5.4

### Constructor Summary

Constructors
Constructor and Description
`GZIPInputStreamFactory()`

### Method Summary

Methods
`InputStream` `create(InputStream inputStream)`
`static GZIPInputStreamFactory` `getInstance()` Gets the singleton instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GZIPInputStreamFactory

    public GZIPInputStreamFactory()

### Method Detail

#### getInstance

    public static GZIPInputStreamFactory getInstance()

Gets the singleton instance.

Returns:
  the singleton instance.

#### create

    public InputStream create(InputStream inputStream)
                       throws IOException

Specified by:
  `create` in interface `InputStreamFactory`
Throws:
  `IOException`